// *****************************************************************************
// Copyright (c)  2016, 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024 joshua.tee@gmail.com. All rights reserved.
//
// Refer to the COPYING file of the official project for license.
// *****************************************************************************

final class SoundingSites {

    static let sites = Sites(name, lat, lon, true)

    private static let name = [
        "1Y7": "AZ, Yuma",
        "76225": "MX, Chihuahua",
        "76405": "MX, La Paz",
        "76458": "MX, Mazatlan",
        "ABQ": "NM, Albuquerque",
        "ABR": "SD, Aberdeen",
        "ALB": "NY, Albany",
        "AMA": "TX, Amarillo",
        "APX": "Gaylord, MI",
        "BIS": "ND, Bismarck",
        "BMX": "AL, Birmingham",
        "BNA": "TN, Nashville",
        "BOI": "ID, Boise",
        "BRO": "TX, Brownsville",
        "BUF": "NY, Buffalo",
        "CAR": "ME, Caribou",
        "CHS": "SC, Charleston",
        "CRP": "TX, Corpus Christi",
        "DDC": "KS, Dodge City",
        "DRT": "TX, Del Rio",
        "DTX": "MI, Detroit",
        "DVN": "IA, Davenport",
        "EPZ": "TX, El Paso",
        "FFC": "GA, Atlanta",
        "FWD": "TX, Dallas",
        "GGW": "MT, Glasgow",
        "GJT": "CO, Grand Junction",
        "GRB": "WI, Green Bay",
        "GSO": "NC, Greensboro",
        "GYX": "ME, Gray",
        "IAD": "DC, Washington",
        "ILN": "OH, Wilmington",
        "ILX": "IL, Lincoln",
        "INL": "MN, International Falls",
        "JAN": "MS, Jackson",
        "JAX": "FL, Jacksonville",
        "KEY": "FL, Key West",
        "LBF": "NE, North Platte",
        "LCH": "LA, Lake Charles",
        "LIX": "LA, New Orleans",
        "LKN": "NV, Elko",
        "LZK": "AR, Little Rock",
        "MAF": "TX, Midland",
        "MDSD": "Dominican Republic, Santo Domingo",
        "MFL": "FL, Miami",
        "MFR": "OR, Medford",
        "MHX": "NC, Morehead City",
        "MKJP": "Jamaica, Port Royal",
        "MPX": "MN, Twin Cities",
        "NKX": "CA, San Diego",
        "NSTU": "AS, Pago Pago",
        "OAK": "CA, Oakland",
        "OAX": "NE, Omaha",
        "OKX": "NY, New York City",
        "OTX": "WA, Spokane",
        "OUN": "OK, Norman",
        "OYU": "CAN, FIXME",
        "PABE": "AK, Bethel",
        "PABR": "AK, Barrow",
        "PACD": "AK, Cold Bay",
        "PADQ": "AK, Kodiak",
        "PAFA": "AK, Fairbanks",
        "PAKN": "AK, King Salmon",
        "PAMC": "AK, McGrath",
        "PANC": "AK, Anchorage",
        "PANT": "AK, Annette",
        "PAOM": "AK, Nome",
        "PAOT": "AK, Kotzebue",
        "PASN": "AK, St Paul Island",
        "PAYA": "AK, Yakutat",
        "PHLI": "HI, Lihue",
        "PHTO": "HI, Hilo",
        "PIT": "PA, Pittsburgh",
        "REV": "NV, Reno",
        "RIW": "WY, Riverton",
        "RNK": "VA, Blacksburg",
        "SGF": "MO, Springfield",
        "SHV": "LA, Shreveport",
        "SLC": "UT, Salt Lake City",
        "SLE": "OR, Salem",
        "TBW": "FL, Tampa Bay",
        "TFX": "MT, Great Falls",
        "TNCC": "Curaçao, Willemstad",
        "TOP": "KS, Topeka",
        "TUS": "AZ, Tucson",
        "UIL": "WA, Quillayute",
        "UNR": "SD, Rapid City",
        "VBG": "CA, Vandenberg AFB",
        "VEF": "NV, Las Vegas",
        "WAL": "VA, Wallops Island",
        "WMW": "CAN, QC, Maniwaki",
        "WPL": "CAN, ON, Pickle Lake",
        "YQI": "CAN, NS, Yarmouth"
    ]

    private static let lat = [
        "1Y7": "32.86",
        "76225": "28.70",
        "76405": "24.07",
        "76458": "23.18",
        "ABQ": "35.03",
        "ABR": "45.45",
        "ALB": "42.75",
        "AMA": "35.23",
        "APX": "44.90",
        "BIS": "46.77",
        "BMX": "33.17",
        "BNA": "36.12",
        "BOI": "43.57",
        "BRO": "25.90",
        "BUF": "42.93",
        "CAR": "46.87",
        "CHS": "32.90",
        "CRP": "27.77",
        "DDC": "37.77",
        "DRT": "29.37",
        "DTX": "42.68",
        "DVN": "41.60",
        "EPZ": "31.90",
        "FFC": "33.36",
        "FWD": "32.80",
        "GGW": "48.21",
        "GJT": "39.12",
        "GRB": "44.48",
        "GSO": "36.08",
        "GYX": "43.89",
        "IAD": "39.083667",
        "ILN": "39.42",
        "ILX": "40.10",
        "INL": "48.57",
        "JAN": "32.32",
        "JAX": "30.43",
        "KEY": "24.55",
        "LBF": "41.13",
        "LCH": "30.12",
        "LIX": "30.337",
        "LKN": "40.87",
        "LZK": "34.83",
        "MAF": "31.95",
        "MDSD": "18.43",
        "MFL": "25.75",
        "MFR": "42.37",
        "MHX": "34.70",
        "MKJP": "17.93",
        "MPX": "44.85",
        "NKX": "32.73",
        "NSTU": "14.30",
        "OAK": "37.73",
        "OAX": "41.32",
        "OKX": "40.86",
        "OTX": "47.68",
        "OUN": "35.23",
        "OYU": "49.68",
        "PABE": "60.78",
        "PABR": "71.30",
        "PACD": "55.20",
        "PADQ": "57.75",
        "PAFA": "64.82",
        "PAKN": "58.68",
        "PAMC": "62.95",
        "PANC": "61.17",
        "PANT": "55.03",
        "PAOM": "64.50",
        "PAOT": "66.87",
        "PASN": "57.15",
        "PAYA": "59.52",
        "PHLI": "21.98",
        "PHTO": "19.72",
        "PIT": "40.50",
        "REV": "39.57",
        "RIW": "43.00",
        "RNK": "37.21",
        "SGF": "37.14",
        "SHV": "32.45",
        "SLC": "40.78",
        "SLE": "44.92",
        "TBW": "27.70",
        "TFX": "47.45",
        "TNCC": "12.20",
        "TOP": "39.07",
        "TUS": "32.12",
        "UIL": "47.95",
        "UNR": "44.07",
        "VBG": "34.72",
        "VEF": "36.05",
        "WAL": "37.85",
        "WMW": "46.0",
        "WPL": "51.47",
        "YQI": "43.87"
    ]

    private static let lon = [
        "1Y7": "114.40",
        "76225": "106.07",
        "76405": "110.33",
        "76458": "106.42",
        "ABQ": "106.62",
        "ABR": "98.41",
        "ALB": "73.80",
        "AMA": "101.70",
        "APX": "84.72",
        "BIS": "100.75",
        "BMX": "86.77",
        "BNA": "86.68",
        "BOI": "116.22",
        "BRO": "97.43",
        "BUF": "78.73",
        "CAR": "68.02",
        "CHS": "80.03",
        "CRP": "97.50",
        "DDC": "99.97",
        "DRT": "100.92",
        "DTX": "83.47",
        "DVN": "90.60",
        "EPZ": "106.70",
        "FFC": "84.56",
        "FWD": "97.30",
        "GGW": "106.63",
        "GJT": "108.53",
        "GRB": "88.13",
        "GSO": "79.95",
        "GYX": "70.25",
        "IAD": "77.529224",
        "ILN": "83.82",
        "ILX": "89.30",
        "INL": "93.38",
        "JAN": "90.08",
        "JAX": "81.61",
        "KEY": "81.75",
        "LBF": "100.68",
        "LCH": "93.22",
        "LIX": "89.825",
        "LKN": "115.73",
        "LZK": "92.25",
        "MAF": "102.18",
        "MDSD": "69.67",
        "MFL": "80.38",
        "MFR": "122.87",
        "MHX": "76.80",
        "MKJP": "76.78",
        "MPX": "93.57",
        "NKX": "117.17",
        "NSTU": "170.70",
        "OAK": "122.22",
        "OAX": "96.37",
        "OKX": "72.86",
        "OTX": "117.63",
        "OUN": "97.47",
        "OYU": "83.66",
        "PABE": "161.80",
        "PABR": "156.78",
        "PACD": "162.73",
        "PADQ": "152.50",
        "PAFA": "147.87",
        "PAKN": "156.65",
        "PAMC": "155.60",
        "PANC": "150.02",
        "PANT": "131.57",
        "PAOM": "165.43",
        "PAOT": "162.63",
        "PASN": "170.22",
        "PAYA": "139.67",
        "PHLI": "159.35",
        "PHTO": "155.07",
        "PIT": "80.22",
        "REV": "119.80",
        "RIW": "108.50",
        "RNK": "80.41",
        "SGF": "93.23",
        "SHV": "93.83",
        "SLC": "111.97",
        "SLE": "123.00",
        "TBW": "82.40",
        "TFX": "111.38",
        "TNCC": "68.97",
        "TOP": "95.62",
        "TUS": "110.93",
        "UIL": "124.55",
        "UNR": "103.21",
        "VBG": "120.57",
        "VEF": "115.18",
        "WAL": "75.48",
        "WMW": "76.87",
        "WPL": "90.20",
        "YQI": "66.100"
    ]
}
